
footer {
    background-color: #32700A;; /* Set your desired background color */
    color: white;
    padding: 20px; /* Adjust padding as needed */
    text-align: center;
    margin-top: 3%;
   
  }

  .footer-image {
    max-width: 100%;
    height: auto;
    margin: 20px 0; /* Adjust margin as needed */
  }

  .social-icons {
    margin-top: 20px; /* Adjust margin as needed */
  }

  .icon-footer {
    margin-right: 10px; /* Adjust margin between icons as needed */
  }

  @media (min-width: 768px) {
    .responsive-container {
      display: flex;
    }

    .left-div, .right-div {
      flex: 1;
    }

    .right-div {
      margin-left: 20px; /* Adjust the margin as needed */
    }
  }

  /* Bootstrap classes for smaller screens */
  @media (max-width: 767px) {
    .left-div, .right-div {
      width: 100%;
      margin-bottom: 20px;
    }
  }
  
    /* Bootstrap classes for smaller screens */
    @media (max-width: 767px) {
      .left-div, .right-div {
        width: 100%;
        margin-bottom: 20px;
      }
    }
    .dropdown-menu a:hover {
        color: green !important; /* Set text color to green on hover */
        border: 1px solid green; /* Add a border around the text */
        padding: 8px 16px; /* Optional: Add padding for a better visual effect */
        border-radius:5%;
    }

    /* Style for active (selected) dropdown menu item */
    .dropdown-menu .active a {
        background-color: green; /* Set background color for the active item */
        color: white !important; /* Set text color to white for better contrast */
        border-radius: 5%;
        
    }
    .textstyle{
      font-weight:700;
      text-align: center;
      font-size: 2.3rem;
      padding: 2%;
      }
      .textpara{
          font-weight:600;
          font-size: 2.5vb;
          line-height: 1.5rem;
text-align: justify;
      }
      .footerimg{
        margin-left: 10%;
        height: 1.5rem;
    }
    
    .texthead{
      font-weight:600;
      font-size: 2.5vb;
      line-height: 2.5rem; 
    }
    .footerimg2{
      height: 1.2rem;
      }

        .navbar {
            padding: 0px  !important; /* Adjust the padding */
        }

        .navbar-toggler {
            margin-top: 0px !important; /* Adjust the margin-top */
            margin-bottom: 0px !important; /* Adjust the margin-bottom */
        }

        .navbar-nav .nav-link {
            font-size: 14px; /* Adjust the font size */
        }
        .logo{
        max-width: 5vb;
         height: 6vb;
         margin-left: 5px;
        }
    

        @media (min-width: 768px) {
          .responsive-container {
              display: flex;
          }

          .left-div,
          .right-div {
              flex: 1;
          }

          .right-div {
              margin-left: 20px;
              /* Adjust the margin as needed */
          }
      }
      @media (min-width: 768px) {
    .responsive-container {
      display: flex;
    }

    .left-div, .right-div {
      flex: 1;
    }

    .right-div {
      margin-left: 20px; /* Adjust the margin as needed */
    }
  }

  /* Bootstrap classes for smaller screens */
  @media (max-width: 767px) {
    .left-div, .right-div {
      width: 100%;
      margin-bottom: 20px;
    }
  }
  .dropdown-menu a:hover {
      color: green !important; /* Set text color to green on hover */
      border: 1px solid green; /* Add a border around the text */
      padding: 8px 16px; /* Optional: Add padding for a better visual effect */
      border-radius:5%;
  }

  /* Style for active (selected) dropdown menu item */
  .dropdown-menu .active a {
      background-color: green; /* Set background color for the active item */
      color: white !important; /* Set text color to white for better contrast */
      border-radius: 5%;
      
  }



      /* Bootstrap classes for smaller screens */
      @media (max-width: 767px) {

          .left-div,
          .right-div {
              width: 100%;
              margin-bottom: 20px;
          }
      }
      .form-control{
          border-radius: 1rem;
          border:1px solid #357E0B;
          background: #CBDCC4;		  height:50px;
      }
      .but{
         
                              width: 155.333px;
                              height: 3rem;
                              flex-shrink: 0;
                              background: #357e0b;
                              border-radius: 1rem;
                              color: #eef7ee;
                              border: none;
                             
                              font-size:1.4rem;
                              font-style: normal;
                              font-weight: 400;
                          line-height: normal;
              }
              .overlay {
      position: relative;
  }

  .overlay::before {
      content: '';
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(53, 126, 11, 0.7); /* Very light green color with opacity */
      
      z-index: -2; /* Place the overlay behind the text */
  }

  .text-adjust {
      position: relative;
      z-index: 2; /* Ensure text is above the overlay */
  }
  .setimage{
      width:3vb;
      height: 2vb;
  }
  .textcontact{
      font-weight: 700;
      font-size: 6vb;
      margin-top: 5%;
  }
  .innercontact{
      font-weight: 600;
      font-size: 2.5vb;
      line-height: 2rem;
  }
  @media (max-width: 500px) {
  
      .textcontact{
      font-weight: 400;
      font-size: 4vb;
      margin-top: 5%;
  }
  .innercontact{
      font-weight: 400;
      font-size: 2vb;
      line-height: 1.8rem;

  }
}
.textfooter{
  font-size: 4vb;
  font-weight:500;
 
}
@media (min-width: 900px) {
.social-icons{
margin-left: 20%;
}
}
@media (min-width: 768px) {
  .right-div-adjust{
      margin-left: 35%;
  }
}
@media (max-width: 768px) {
  .right-div-adjust{
      margin-left: 15%;
  }
}

.adjust_hr{
  margin-top: -1.5rem;
}
.btn_style{
  background-color:#32700A; color: white
  ;  border: none;   font-weight:600;
  padding: 0.9rem;
  font-size: 1.3rem;
}
.textgallery{
  font-size: 2.3rem;
margin-left: 0rem;
font-weight: 600
;}
@media (max-width: 768px) {
  .btn_style{
    background-color:#32700A; color: white
    ;  border: none;   font-weight:600;
    padding: 0.5rem;
    font-size: 0.9rem;
    padding: 0.2rem;
  }
  .textgallery{
    font-size: 1.3rem;
  margin-left: 0.3rem;
  font-weight: 600
  ;}
}
.hidden-image {
  display: none;
}
.btn_style2{
  background-color:#32700A; color: white
  ;  border: none;   font-weight:600;
  padding: 0.9rem;
  font-size: 1.3rem;
}
.textgallery2{
  font-size: 2.3rem;
margin-left: 0.4rem;
font-weight: 600
;}
@media (max-width: 768px) {
  .btn_style2{
    background-color:#32700A; color: white
    ;  border: none;   font-weight:600;
    padding: 0.5rem;
    font-size: 0.9rem;
    padding: 0.2rem;
  }
  .textgallery2{
    font-size: 1.1rem;
  margin-left: 0.5rem;
  font-weight: 600
  ;}
}
.button{
  width: 155.333px;
  height: 3rem;
  flex-shrink: 0;
  background: #357e0b;
  border-radius: 1%;
  color: #eef7ee;
  font-family: BHARTIYA HINDI_053;
  font-size: 18px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  border: none;
}

.enlarged-image {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 999;
  justify-content: center;
  align-items: center;
}

.enlarged-image img {
  max-width: 80%;
  max-height: 80%;
}

/* Add styles for the service items */


/* Update the existing styles for the service container */



#services {
  overflow: hidden;
  position: relative;
}

.service-container {
  display: flex;
  transition: transform 0.5s ease;
  height: 18rem;
}

.service {
  flex: 0 0 33.33%; /* Set the width of each service item */
  padding: 15px;
  text-align: center;
  /* height: 100%; */
}

.service img {
  max-width: 100%;
  height: 15rem;
}

#services .prev, #services .next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 24px;
  /* color: #fff; */
  cursor: pointer;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 10px;
  border: none;
}

#services .prev { left: 0; }
#services .next { right: 0; }

.bacdiv {
  background-color: white !important;
  width: 50%;
  margin: 10%;
  padding: 5%;
}

.service :hover{
  /* background-color: ; */
  border: 4px solid #357E0B;
}



.main_div {
  padding: 5%;
  display: flex;
  gap:10px;
}
.ineer_div {
  width: 15%;
  height: 25rem;
  border: 1px solid #32700A;
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  overflow: hidden;
  position: relative;
  transition: width 0.3s;
  /* border-radius: 10% 10% 10% 10%; */
  z-index: 1;
/* opacity: .6; */
/* transition: all var(--animation-speed-normal) ease-in-out; */
border-radius: 10px;
  
 
}
.ineer_div:hover {
  width: 80%;
  /* opacity: 1; */
}
.ineer_div .overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.5);
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: opacity 0.3s;
}
.ineer_div:hover .overlay {
  opacity: 1;
}

/* .service-container {
  display: flex;
  transition: transform 0.5s ease;
} */

/* Media query for larger screens */
@media (max-width: 700px) {
  .service-container {
    width: 200% !important; /* Set the width to 100% on larger screens */
    align-items: center;
  }
}
@media (min-width: 701px) {
  .service-container {
    width: 100%!important; /* Set the width to 100% on larger screens */
  }
}